EndpointsCogents
Remove agent presence
DELETE
/v2/cogents/{cogent_id}/presence/agents/{agent}Says an agent has left, and returns the presence. Only the cogent's player credential may.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
cogent_id*Cogent Id
Cogent ID (its player ID).
Match
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$agent*Agent
The agent's name (hub, claude-code@laptop).
Match
^[A-Za-z0-9][A-Za-z0-9@._:-]{0,63}$curl -X DELETE "https://softmax.com/api/observatory/v2/cogents/string/presence/agents/string"{ "version": 0, "coach": { "path": "string", "anchor": "string", "heading": "string", "tab": "project", "replay": { "runId": "string", "file": "string", "tick": 0, "open": true, "shot": null, "selection": null, "camera": { "x": 0, "z": 0, "distance": 0 } }, "since": "2019-08-24T14:15:22Z", "at": "2019-08-24T14:15:22Z" }, "agents": [ { "state": "idle", "doing": "string", "progress": { "taskId": "string", "rung": "string", "done": 0, "total": 0 }, "draft": "string", "suggest": [ "string" ], "agent": "string", "since": "2019-08-24T14:15:22Z", "at": "2019-08-24T14:15:22Z" } ], "visitors": [ { "user_id": "string", "name": "string", "at": "2019-08-24T14:15:22Z" } ]}